--GOSSIP_SHOW UPDATE_BATTLEFIELD_STATUS
function(e, ...)
	if e == "GOSSIP_SHOW" then
		local target = UnitName("target")
		if target:match("Grizzle Halfmane") or target:match("Kartra Bloodsnarl") or target:match("Glordrum Steelbeard") or target:match("Thelman Slatefist") or target:match("	Taim Ragetotem") or target:match("Brogun Stoneshield") or target:match("Innkeeper Gryshka") then
			GossipTitleButton1:Click()
			BattlefieldFrameJoinButton:Click()
		end
	elseif e == "UPDATE_BATTLEFIELD_STATUS" then
		StaticPopup1Button1:Click()
	end
end